Package Details: tmux-git 2.1.r290.g4043790-1

Git Clone URL: (read-only)
Package Base: tmux-git
Description: A terminal multiplexer
Upstream URL:
Licenses: BSD
Conflicts: tmux
Provides: tmux
Submitter: None
Maintainer: WorMzy
Last Packager: WorMzy
Votes: 42
Popularity: 0.311033
First Submitted: 2010-03-18 21:59
Last Updated: 2016-01-29 20:23

Dependencies (4)

Required by (31)

Sources (2)

Latest Comments

turtil commented on 2016-02-10 23:37

So for people who are wondering, to enable True Color Support, you need to add Tc to your overrides file and use a True Color enabled Terminal

set -ag terminal-overrides ",*:XT@:Tc"

In my particular case.

See here for more details:

WorMzy commented on 2016-01-29 20:23

Usually you just need to re-run makepkg, but more useful stuff has been pointlessly culled/stripped off into it's own repository, so you'll need to download the new PKGBUILD and /then/ run makepkg.

towb commented on 2016-01-29 19:13

Not sure how these *-git packages works. But we got 24 bit colour committed to master now, so if it's possible an update would be great!

WorMzy commented on 2016-01-02 19:13

Well that's annoying.

Updated. :)

misc commented on 2015-12-31 05:00

tmux.vim has been [re]moved to:

WorMzy commented on 2015-06-04 23:29

Good spot. Done. :)

djmattyg007 commented on 2015-06-04 22:45

The upstream URL needs to be updated to point to the github website.

WorMzy commented on 2015-06-04 22:37

Thanks for the heads up, ezyang.

I've taken this opportunity to switch to a more appropriate pkgver format.

The license has never been a standalone file in the repository -- the one bundled with the PKGBUILD is manually extracted from one of the source files.

ezyang commented on 2015-06-04 17:24

New GitHub repository, see and git://

Also, LICENSE file seems to have disappeared.

rpodgorny commented on 2015-02-07 22:59

ok, great! thanks for the info!

WorMzy commented on 2015-02-07 22:45

I added a commented depends line to the PKGBUILD, uncomment it to add libutempter to the depends array of the generated package tarball.

However, I'd recommend that you build in a clean chroot, especially if you're distributing packages across multiple machines.

rpodgorny commented on 2015-02-07 22:42

ah, interesting! anyway, is there a sane way to automatically add it as dependency when built with it?

the problem is, i use one machine to build stuff and lots of others (with different setups) to install to.

WorMzy commented on 2015-02-07 22:30

Rebuild the package without libutempter installed, and you'll find that it's not a hard dependency.

However, I'll add it as an opt-depends.

rpodgorny commented on 2015-02-07 21:45

please add libutempter as a dep or else:

tmux: error while loading shared libraries: cannot open shared object file: No such file or directory


WorMzy commented on 2013-10-10 16:30

Just a heads up for anyone receiving notifications for this package: I've updated the PKGBUILD to take advantage of pacman 4.1 VCS features, and modified the way that the version is defined. If you are relying on a AUR helper to find updates to your AUR packages, this update will probably be regarded as a downgrade and be omitted from the list of updates. Please download the new PKGBUILD and rebuild manually.


arielp commented on 2013-05-07 23:34

Want a PKGBUILD using the new pacman 4.1 VCS functions?

dkorzhevin commented on 2013-05-03 11:21

Package updated, thanks WorMzy

WorMzy commented on 2013-03-20 14:44

Please replace "../../LICENSE" with "${srcdir}/LICENSE", the former currently fails if you're building in a clean chroot (e.g. with devtools from extra). Cheers.

dkorzhevin commented on 2013-03-01 09:47

Thank you, PKGBUILD updated

arielp commented on 2013-02-08 23:58

the git url changed. check out an updated PKGBUILD

xyproto commented on 2012-09-12 18:07

Removing "|| return 1", splitting the build() function into build() and package() and removing the weird "&& \"-business would be great too, if you find the time. Thanks.

dkorzhevin commented on 2012-09-12 17:33

Package updated to use new repository:

Some other fixes implemented to PKGBUILD.

xyproto commented on 2012-09-12 14:00

Using git:// instead of git://, and flagged out of date for a week.
Disowning after request on the aur-general mailinglist.

Anonymous comment on 2012-09-04 10:11

In the tmux mailing list, Thomas Adam has written:

"Last night I converted the SVN tmux repository to git. From now on please
consider the git repository the official one to use. You can find it here:

Which also include instructions on how to clone the repository.
For those of you wondering what will happen to my Github repository, it will
still be maintained as nothing more than a fork of the sourceforge
repository so that I can hack about on things."

So perhaps you could convert this PKGBUILD to the official sourceforge git repository.

Anonymous comment on 2011-08-17 09:30

No problem here.

You should try to do a `make clean` inside the `src/tmux/trunk/` directory.

Also your error message indicates that you try to build the cvs version of tmux not the git one. Though tmux-cvs should build correctly.

Anonymous comment on 2011-08-17 02:03

I've had this issue for months, I can't seem to build the git version of tmux. I hope someone can help me, I've googled the issue to no avail. Something seems to be missing here, all I get is:

tty.o: In function `tty_cmd_setselection':
/tmp/yaourt-tmp-andreas/aur-tmux-cvs/src/tmux/tty.c:1006: undefined reference to `__b64_ntop'
collect2: ld returned 1 exit status
make: *** [tmux] Error 1
==> ERROR: A failure occurred in build().
==> ERROR: Makepkg was unable to build tmux-cvs.

Anonymous comment on 2011-05-29 23:49

It seems the source directory structure has changed.
I have updated the PKGBUILD to reflect the change. The package should build fine.

Thx for reporting the problem.

yvonney commented on 2011-05-29 02:59

anyone else having trouble?

/tmux-git/PKGBUILD: line 36: ./ No such file or directory
==> Starting make...
make: *** No targets specified and no makefile found. Stop.
==> ERROR: A failure occurred in build().

Anonymous comment on 2011-01-31 14:52

From the wiki (about $_gitroot-build):

"To preserve the integrity of the checked-out code consider copying the original build directory if you have to make edits."

This doesn't seem to be mandatory and since there is no edits done, I assume the PKGBUILD is conform to the guidelines.
I would be glad to have other people advice though.

Anyway, thanks for the suggestion.

mar77i commented on 2011-01-31 10:34

VCS PKGBUILD Guidelines in the Wiki suggest using $_gitroot-build directories... [edited!]

mar77i commented on 2011-01-31 10:28

VCS PKGBUILD Guidelines in the Wiki suggest using $_gitroot-build directories...

Anonymous comment on 2011-01-16 21:49

PKGBUILD update.
Thanks for the remainder.

hellnest commented on 2011-01-15 04:37 ( PKGBUILD )

please update your PKGBUILD :)

cf8 commented on 2011-01-08 19:18

seems that PKGBUILD need some changes for package build success:
need to add ./ before ./configure